Package org.eclipse.net4j.util.collection

## Class ByteArrayWrapper

- java.lang.Object
- - org.eclipse.net4j.util.collection.ByteArrayWrapper

-     public final class ByteArrayWrapper
      extends java.lang.Object

  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByteArrayWrapper​(byte[] data)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` |
    `byte[]` | `getData()` |
    `int` | `hashCode()` |
    `static java.util.Set<byte[]>` | `toByteArray​(java.util.Set<ByteArrayWrapper> wrappers)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayWrapper

          public ByteArrayWrapper​(byte[] data)

  - ### Method Detail

    - #### getData

          public byte[] getData()

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toByteArray

          public static java.util.Set<byte[]> toByteArray​(java.util.Set<ByteArrayWrapper> wrappers)